package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.WFIAActionMapper;
import com.sa.ibiz.demo.demo.domain.WFIAAction;
import com.sa.ibiz.demo.demo.service.WFIAActionService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.WFIAActionSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.WFStepService;

/**
 * 实体[WFIAAction] 服务对象接口实现
 */
@Service
public class WFIAActionServiceImpl extends ServiceImplBase<WFIAActionMapper, WFIAAction> implements WFIAActionService{

    @Autowired
    private WFStepService wfstepService;

    @Resource
    private WFIAActionMapper wfiaactionMapper;


    @Override
    public boolean create(WFIAAction et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(WFIAAction et){
        this.beforeUpdate(et);
		this.wfiaactionMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(WFIAAction et){
		return et.getWfiaactionid();  
    }

    @Override
    public boolean getDraft(WFIAAction et)  {
    if((!StringUtils.isEmpty(et.getWfstepid())) && et.getWfstep() == null){
            try {
                et.setWfstep(wfstepService.getById(et.getWfstepid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<WFIAAction> listDefault(WFIAActionSearchFilter filter) {
		return wfiaactionMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<WFIAAction> searchDefault(WFIAActionSearchFilter filter) {
		return wfiaactionMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return wfiaactionMapper.selectRow(sql);
    }

 }